<!DOCTYPE html>
<html>

<head>
    <meta charset="UTF-8">
    <title>Flexbox #01</title>
    <link rel="stylesheet" href="css/tag.css">
    <style>
        .big {
            font-size: 1.5em;
        }

        .flex-container {
            display: flex;
            flex-direction: column; /* Organiza como colunas main Axis*/
            flex-direction: column-reverse; /* Inverte a ordem dos flex itens Em coluna*/
            flex-direction: row-reverse; /* Inverte a ordem dos flex itens Em linha e deixa como "float right" */
            flex-direction: row; /* Trabalha em linha que é o padrão*/
            width: 20%; /*Ocorre um overflow "conteudo maior do que o container"*/
            flex-wrap: wrap; /* Quando ocorre overflow ele faz a quebra de linha */
            flex-wrap: wrap-reverse; /* Inverte as linhas */
            flex-flow: row wrap;
            flex-flow: column-reverse wrap;
            flex-flow: row wrap;

            /* Main Axis */

            justify-content: flex-start; /*deixa os flex intens justificados no começo do main Axis*/
            justify-content: flex-end; /*deixa os flex intens justificados no final do main Axis*/
            justify-content: space-around; /*distribui os flex itens por toda a main Axis de forma uniforme*/
            justify-content: space-between; /* Espaço entre os itens iguais sem contar a borda */
            justify-content: center; /*deixa os flex intens justificados no meio do main Axis*/

            /* Cross Axis */

            height: 400px;
            align-items: stretch; /* Padrão */
            align-items: baseline; /* Alinha os itens bela baseline, base das letras */
            align-items: flex-start;  /* Alinha os itens pelo inicio da Cross Axis*/
            align-items: flex-end;  /* Alinha os itens pelo final da Cross Axis*/
            align-items: center;

            /* Mais de uma linha */

            align-content: flex-start; /* Vai para o inicio do content */
            align-content: flex-end; /* Vai para o final do content */
            align-content: center; /* Centraliza */
            align-content: space-around; /* Distribui as linhas*/
            align-content: space-between; /* Distribui as linhas sem contar a borda*/
        }
    </style>
</head>

<body>
    <div class="flex-container tag nolabel">
        <div class="tag nolabel">1</div>
        <div class="tag nolabel">2</div>
        <div class="tag nolabel big">3</div>
        <div class="tag nolabel">4</div>
        <div class="tag nolabel">5</div>
        <div class="tag nolabel">6</div>
        <div class="tag nolabel">7</div>
        <div class="tag nolabel">8</div>
        <div class="tag nolabel">9</div>
        <div class="tag nolabel">10</div>
    </div>
    <script src="js/tag.js"></script>
</body>

</html>